# Evaluation 
In our evaluation pipeline, we utilized vllm-v0.4.2 to serve the open-sourced models in APIs compatible with the openAI ones so that we can query open-sourced/commercial LLMs in a consistent manner. 
Specifically, for your local vllm server, please consult the following command template
```
python -m vllm.entrypoints.openai.api_server --host 0.0.0.0 --port 8888 --model /xxx/xxx --dtype auto --gpu-memory-utilization 0.9  --max-model-len 4096 --tensor-parallel-size 1
```  
Once you have the local server ready, initiate our eval script by running:
```
python -m evaluation.evaluate_open_source_models --eval_base_url 'http://0.0.0.0:8888/v1' --eval_api_key 'placeholder' --eval_model_name 'absolute_path_to_your_local_model' --score_base_url 'xxxx' --score_api_key 'sk-xxx' --score_model_name 'gpt-4-turbo' --dataset_path /home/xxx/xxx/dataset --output_dir /home/xxx --shot_num 0 --demo_path /home/xxx/xxx/dataset/k_shot_demo.json
```

